import { createApp, Directive } from "vue";
import App from "./App.vue";
import { getServerConfig } from "./config";
import "./registerServiceWorker";
import router from "./router";

// 引入重置样式
import "./style/reset.scss";
import "animate.css";


import "vant/es/toast/style";
import "vant/es/notify/style";
import "vant/es/dialog/style";
import "./style/tailwind.css";
// 导入公共样式
import "./style/index.scss";
// import "amfe-flexible";

const app = createApp(App);
import * as directives from "@/directives";
Object.keys(directives).forEach((key) => {
  app.directive(key, (directives as { [key: string]: Directive })[key]);
});
const { VITE_APP_IM } = import.meta.env;
window["imUrl"] = VITE_APP_IM;
getServerConfig(app).then(async (config) => {
  app.use(router);
  await router.isReady();
  // console.log(router.currentRoute);
  app.mount("#app");
});
